MODULE YOMRSTBIAS

USE PARKIND1  ,ONLY : JPIM     ,JPRB

USE PARDIMO

IMPLICIT NONE

SAVE

!*
!      YOMRSTBIAS - RS T BIAS CORRECTION PARAMETERS

!        D. VASILJEVIC   ECMWF     10/3/03

!     NAME                  TYPE     MEANING
!     ----                  ----     -------

!     CSTIDBC                 C      LIST OF STATION IDs
!     CSTYPBC                 C      LIST OF SONDE NAMES
!     RRSLAT                  R      LIST OF RS LATs
!     RRSLON                  R      LIST OF RS LONs
!     RRSALT                  R      LIST OF RS ALTs
!     RCORBC                  R      LIST OF BIAS CORRECTINOS
!     RLEVBC                  I      LIST OF PRESSURE LEVELS
!     MSSTYBC                 I      LIST OF SONDE TYPES
!     MRSDTFR                 I      LIST OF DATEs FROM
!     MRSTIFR                 I      LIST OF TIMEs FROM
!     MRSDTTO                 I      LIST OF DATEs TO
!     MRSTITO                 I      LIST OF TIMEs TO

!     NO_T_BIAS_SONDES        I      NO OF RS IN THE LIST
!     NO_T_BIAS_LEVELS        I      NO OF PRESSURE LEVELS PER SONDE
!     NO_T_BIAS_CORRS         R      NO OF BIAS CORRECTIONS PER LEVEL

!     LRSTBIAS_READ           L      DB READ SWITCH
!     ------------------------------------------------------------------

CHARACTER(LEN=8  ) ,   ALLOCATABLE :: CSTIDBC        (:    )
CHARACTER(LEN=8  ) ,   ALLOCATABLE :: CSTYPBC        (:    )
REAL(KIND=JPRB)    ,   ALLOCATABLE :: RRSLAT         (:    )
REAL(KIND=JPRB)    ,   ALLOCATABLE :: RRSLON         (:    )
REAL(KIND=JPRB)    ,   ALLOCATABLE :: RRSALT         (:    )
REAL(KIND=JPRB)    ,   ALLOCATABLE :: RCORBC         (:,:,:)
REAL(KIND=JPRB)    ,   ALLOCATABLE :: RLEVBC         (:,:  )
INTEGER(KIND=JPIM) ,   ALLOCATABLE :: MSSTYBC        (:    )
INTEGER(KIND=JPIM) ,   ALLOCATABLE :: MRSSQN         (:    )
INTEGER(KIND=JPIM) ,   ALLOCATABLE :: MRSDTFR        (:    )
INTEGER(KIND=JPIM) ,   ALLOCATABLE :: MRSTIFR        (:    )
INTEGER(KIND=JPIM) ,   ALLOCATABLE :: MRSDTTO        (:    )
INTEGER(KIND=JPIM) ,   ALLOCATABLE :: MRSTITO        (:    )

INTEGER(KIND=JPIM) :: NO_T_BIAS_SONDES   ,NO_T_BIAS_LEVELS, NO_T_BIAS_CORRS
LOGICAL ::   LRSTBIAS_READ

!     ------------------------------------------------------------------

END MODULE YOMRSTBIAS
